---
# The current user and group to create files
inv__bootstrap_ssl_files__user: "root"
# The base path on where you want your certs files
inv__bootstrap_ssl_files__base_path: "/tmp/ssl/MyPKI"

# SSL/TLS informations
inv__bootstrap_ssl_files__root_ca:
  cn: "My Local Ansible Root CA"
  c: "FR"
  st: "state"
  l: "city"
  o: "Local Ansible"
  ou: "My Local Ansible Root CA"
  email_address: "contact@your.domain.tld"
  password: "m3EH3A56h5mNY"
  ca_password: "m3EH3A56h5mNY"

inv__bootstrap_ssl_files__intermediates_ca:
  - cn: "My Local Ansible Intermediate CA 1"
    c: "FR"
    st: "state"
    l: "city"
    o: "Local Ansible"
    ou: "My Local Ansible Intermediate CA 1"
    email_address: "contact@your.domain.tld"
    ca_password: "m3EH3A56h5mNY"
    password: "jdieldodkiekie"
    certification_ca: "My Local Ansible Root CA"

  - cn: "My Local Ansible Intermediate CA 2"
    c: "FR"
    st: "state"
    l: "city"
    o: "Local Ansible"
    ou: "My Local Ansible Intermediate CA 2"
    email_address: "contact@your.domain.tld"
    ca_password: "jdieldodkiekie"
    password: "kdidkodkdokldkdokeok"
    certification_ca: "My Local Ansible Intermediate CA 1"

inv__bootstrap_ssl_files__end_certs:
  - cn: "my-end-certificate-1.domain.tld"
    c: "FR"
    st: "state"
    l: "city"
    o: "Local Ansible"
    ou: "Local Dev IT"
    email_address: "contact@your.domain.tld"
    alternatives:
      - "127.0.0.1"
      - "localhost"
      - "my-website.tld"
    certification_ca: "My Local Ansible Intermediate CA 1"

  - cn: "my-end-certificate-2.domain.tld"
    c: "FR"
    st: "state"
    l: "city"
    o: "My Local Intermediate CA Two"
    ou: "Local Dev IT"
    email_address: "contact@your.domain.tld"
    alternatives:
      - "127.0.0.1"
      - "localhost"
      - "my-website.tld"
    certification_ca: "My Local Ansible Intermediate CA 2"

  - cn: "my-end-certificate-3.domain.tld"
    c: "FR"
    st: "state"
    l: "city"
    o: "Local Ansible"
    ou: "Local Dev IT"
    email_address: "contact@your.domain.tld"
    alternatives:
      - "127.0.0.1"
      - "localhost"
      - "my-website.tld"
    certification_ca: "My Local Ansible Intermediate CA 2"
